Hello all :-)

Stable snap packages for LDC 1.2.0 have been available since before the official 1.2.0 release announcement 1 week ago. However, since there's more than just the availability of the packages to announce, I thought I'd write up some notes for the forums.

The full writeup (including installation instructions) is available here:

but in short, the latest news can be summarized as:

  * the packaged LDC version has been updated to 1.2.0, comprising
    DMD/druntime/phobos 2.072.2 and LLVM 4.0

* packages are now available for both i386 and amd64 architectures,
    with ongoing work to extend the list

  * specific release tracks are now available, allowing users to
    install and update from either the latest LDC releases or from
    specific minor release series

* these packages are expected to work with (at least) Ubuntu 14.04, 16.04, 16.10, 17.04 and development releases; Debian Testing and
    Unstable; and OpenSUSE Leap.

Please report any issues encountered with the packages here:

Enjoy, and please do let me know how you get on with using these packages!

Thanks & best wishes,

    -- Joe

Reply via email to